Summary: Snapshot utility
Name:    draksnapshot
Version: 0.9
Release: %mkrel 1
Source0: %{name}-%{version}.tar.lzma
URL:	    http://www.mandrivalinux.com
License: GPL
Group:   Archiving/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:  rsnapshot
Requires:  drakxtools >= 10.6.25
BuildRequires: gettext, perl-MDK-Common-devel intltool
BuildArch: 	noarch


%description
This is a backup program that uses rsync to take backup snapshots of
filesystems.  It uses hard links to save space on disk.

%prep
%setup -q

%build
%make
perl -pi -e 's!my \$ver = 1;!my \$ver = '"'%version-%release'"';!' draksnapshot-applet

%install
rm -rf %{buildroot}
%makeinstall_std PREFIX=$RPM_BUILD_ROOT 

# so that we remove cron entry on removal:
mkdir %{buildroot}%_sysconfdir/cron.d
touch %{buildroot}%_sysconfdir/cron.d/rsnapshot

%{find_lang} %{name}

%post
%{update_desktop_database}
%{update_mime_database}

%postun
%{clean_desktop_database}
%{clean_mime_database}

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%defattr(-,root,root)
%ghost %_sysconfdir/cron.d/rsnapshot
%_bindir/*
%_datadir/%{name}
%_datadir/autostart/autostart-draksnapshot.desktop
%_datadir/gnome/autostart/gnome-autostart-draksnapshot.desktop
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%_sbindir/*
%_sysconfdir/X11/xinit.d/draksnapshot-applet.xinit
%perl_vendorlib/MDV




%changelog
* Thu Apr 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9-1mdv2008.1
+ Revision: 192171
- do not wake up on CD insertion (#39748)

* Thu Apr 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8-1mdv2008.1
+ Revision: 192106
- translation updates

* Wed Apr 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7-1mdv2008.1
+ Revision: 191665
- configurator:
  o add a tooltip in order to explain what are intervals (#39509)
  o disable advanced settings if "backup the whole system" is selected
  o hide list under an "Advanced" expander
  o set 755 perms on cron entry (#39699)
  o use ad hoc config if "backup the whole system" is selected
  o use spin buttons for intervals
- draksnapshot-restore wasn't installed
- remove cron entry on removal (#38651)

* Fri Mar 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6-1mdv2008.1
+ Revision: 190909
- applet:
  o switch to HAL for detecting new plugged USB devices
    (no more polling and fix memory leak in libmodprobe (#38601))

* Tue Mar 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5-2mdv2008.1
+ Revision: 190165
- require drakxtools (and a version new enough) (#39341)

* Tue Mar 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5-1mdv2008.1
+ Revision: 186248
- configurator:
  o actually use translations

* Wed Mar 05 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4-1mdv2008.1
+ Revision: 180076
- applet:
  o check only every 5s
  o ligther check
- applet:
  o do not notify again if already done
  o do not skip initial check
  o hide again if no more USB disk
  o only show up if detecting new discs
  o refresh cache of USB devices list
  o run check every 2s instead of every 5mns

* Mon Mar 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2-1mdv2008.1
+ Revision: 178077
- actually add patch
- patch 0: fix build due to errors in et translation
- fix path in autostart files (#38418)
- fix warning in xinit file (#38418)

* Wed Feb 27 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-1mdv2008.1
+ Revision: 175862
- buildrequires intltool
- import draksnapshot


* Wed Feb 27 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-1mdv2008.1
- initial release
